| Home | Libraries | People | FAQ | More

## Struct exclusive_rollback

boost::interprocess::interprocess_upgradable_mutex::exclusive_rollback

## Synopsis

    // In header: <boost/interprocess/sync/interprocess_upgradable_mutex.hpp>

    struct exclusive_rollback {
      // construct/copy/destruct
      exclusive_rollback(control_word_t &, interprocess_condition &);
      ~exclusive_rollback();

      // public member functions
      void release();
      control_word_t * mp_ctrl;
      interprocess_condition & m_first_gate;
    };

## Description

### `exclusive_rollback` public construct/copy/destruct

1.     exclusive_rollback(control_word_t & ctrl, interprocess_condition & first_gate);

2.     ~exclusive_rollback();

### `exclusive_rollback` public member functions

1.     void release();